Upgrade path to QRepl-11.4 (from QRepl-10.2.1) on L[UW]-10.5FP8

Rui Chen

Upgrade path to QRepl-11.4 (from QRepl-10.2.1) on L[UW]-10.5FP8

The first impression is that QRepl-11.4 should support Db2-luw-10.5fp8, according to "Supported Software" in "Compatibility Report" (link-1). However, digging through QRepl-11.4 installation/migration Knowledge Center articles doesn't provide much instruction on how-to on Db2-luw other than version 11, and the installation guide (link-2) actually makes me wonder if QRepl-11.4 supports Db2-luw-10.5fp8....

The QRepl upgrade need comes from the fact that IIDR-10.2.1 reached end-of-support in April 2018 (link-3), and we'd still like to stay with luw-10.5fp8 a little longer....

Thanks for sharing your thoughts.

Greg Palgrave

RE: Upgrade path to QRepl-11.4 (from QRepl-10.2.1) on L[UW]-10.5FP8
(in response to Rui Chen)

I think that while QRepl-11.4 will support a 10.5.8 database, the only way to install it is to install Db2 11.1 FP1.

"On Linux, UNIX, and Windows, the Q Replication V11.4 engine is part of DB2 for Linux, UNIX, and Windows V11.1 Fix Pack 1. Choose one of these options:

  • If DB2 V11.1 Fix Pack 1 is already installed on your system, you only need to activate the license for Q Replication (see activation kits below).
  • If you need to install DB2 V11.1, download the DB2 Advanced Workgroup Server Edition 11.1 for your operating system and use its installation program to add DB2 to your system. You must also install DB2 11.1 Fix Pack 1, available from IBM Fix Central."

 

It seems odd that Db2 10.5.8 is still supported, but that the bundled replication is out of support - I'd email your IBM rep for clarification.

 

Cheers

Greg

In Reply to Rui Chen:

The first impression is that QRepl-11.4 should support Db2-luw-10.5fp8, according to "Supported Software" in "Compatibility Report" (link-1). However, digging through QRepl-11.4 installation/migration Knowledge Center articles doesn't provide much instruction on how-to on Db2-luw other than version 11, and the installation guide (link-2) actually makes me wonder if QRepl-11.4 supports Db2-luw-10.5fp8....

The QRepl upgrade need comes from the fact that IIDR-10.2.1 reached end-of-support in April 2018 (link-3), and we'd still like to stay with luw-10.5fp8 a little longer....

Thanks for sharing your thoughts.

Rui Chen

RE: Upgrade path to QRepl-11.4 (from QRepl-10.2.1) on L[UW]-10.5FP8
(in response to Greg Palgrave)

Thanks for sharing the thoughts Greg. Yep, now i realize the answer is probably not as trivial as i hoped for :)